Bug 1690825 - gzexe unable to (auto)decompress
Summary: gzexe unable to (auto)decompress
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gzip
Version: 28
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Martisko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1693126 1705413
TreeView+ depends on / blocked
 
Reported: 2019-03-20 10:06 UTC by wrath.bug
Modified: 2019-05-02 09:04 UTC (History)
4 users (show)

Fixed In Version: gzip-1.9-9.fc30 gzip-1.9-9.fc29 gzip-1.9-4.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1693126 1705413 (view as bug list)
Environment:
Last Closed: 2019-03-31 00:04:30 UTC


Attachments (Terms of Use)

Description wrath.bug 2019-03-20 10:06:09 UTC
Description of problem:

Gzexe is unable to decompress the file it creates.

Version-Release number of selected component (if applicable):

gzexe (gzip) 1.9 from package gzip-1.9-3.fc28.x86_64
and system up to date.

How reproducible:
Always

Steps to Reproduce:
1. gzexe a file
2. try to uncompress: gzexe -d or execute the auto-extractible file 


Actual results:

gzip: stdin: not in gzip format
/usr/bin/gzexe: test.txt probably not in gzexe format, file unchanged.

Expected results:
The orignal file uncompressed.

Additional info:

The bug come from a modification in the instructions include at the beginning of the generated file (header) (between line 147 and 195 in gzexe script). The script suppose a header of 44 lines long (skip=44, line 148), but currently, the header is 49 lines long.
Changing the skip value from 44 to 49 fixed the problem.

Comment 1 Jakub Martisko 2019-03-25 11:44:19 UTC
Thanks for the report and the additional info, I'll  look into it.

Comment 2 Fedora Update System 2019-03-28 07:46:16 UTC
gzip-1.9-9.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cd853538c2

Comment 3 Fedora Update System 2019-03-28 07:46:26 UTC
gzip-1.9-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a07557a86e

Comment 4 Fedora Update System 2019-03-28 07:46:36 UTC
gzip-1.9-9.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6100a33b98

Comment 5 Fedora Update System 2019-03-29 00:12:45 UTC
gzip-1.9-9.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6100a33b98

Comment 6 Fedora Update System 2019-03-29 03:05:34 UTC
gzip-1.9-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a07557a86e

Comment 7 Fedora Update System 2019-03-29 04:15:50 UTC
gzip-1.9-9.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cd853538c2

Comment 8 Fedora Update System 2019-03-31 00:04:30 UTC
gzip-1.9-9.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-04-01 03:25:13 UTC
gzip-1.9-9.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-04-05 01:55:11 UTC
gzip-1.9-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.